> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getsly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Add payment instrument

> Attach a payment method (card token, bank reference, wallet) to this checkout.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/ucp/checkouts/{id}/instruments
openapi: 3.1.0
info:
  title: Sly API
  description: >-
    The Agentic Economy Platform — stablecoin payments, agent wallets,
    multi-protocol commerce, and AI agent orchestration.
  version: 1.0.0
  contact:
    name: Sly
    url: https://getsly.ai
    email: support@getsly.ai
servers:
  - url: https://api.getsly.ai/v1
    description: Production
  - url: https://sandbox.getsly.ai/v1
    description: Sandbox
security:
  - bearerAuth: []
paths:
  /v1/ucp/checkouts/{id}/instruments:
    post:
      tags:
        - UCP Checkouts
      summary: Add payment instrument
      description: >-
        Attach a payment method (card token, bank reference, wallet) to this
        checkout.
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - card
                    - bank
                    - wallet
                    - stablecoin
                processor:
                  type: string
                processor_token:
                  type: string
                last_four:
                  type: string
              required:
                - type
      responses:
        '201':
          description: Instrument added
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/PaymentInstrument'
                required:
                  - data
      security:
        - bearerAuth: []
components:
  schemas:
    PaymentInstrument:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - card
            - bank
            - wallet
            - stablecoin
        processor:
          type: string
        processor_token:
          type: string
        last_four:
          type: string
      required:
        - id
        - type
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key (pk_test_* or pk_live_*), JWT session, agent token (agent_*),
        Ed25519 session (sess_*), or portal token (portal_*).

````